Last modified: 2013-07-12 22:48:13 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 46580 - Create a VisualEditor plugin to integrate with ProofreadPage
Create a VisualEditor plugin to integrate with ProofreadPage
Status: NEW
Product: MediaWiki extensions
Classification: Unclassified
ProofreadPage (Other open bugs)
unspecified
All All
: Low enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 46616
Blocks: Wikisource ve-plugins-to-create
  Show dependency treegraph
 
Reported: 2013-03-26 20:31 UTC by Tpt
Modified: 2013-07-12 22:48 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Tpt 2013-03-26 20:31:40 UTC
Page: pages are not plain wikitext pages but are split into three textareas: header, footer and body and a proofreading level tag (note 1).
So, an adaptation of the VisualEditor to these pages is needed in order to make edition of the pages work.

The UI need to be tweaked in order to allow the splitting of the main textarea into three and the edition of the Proofreading level at the save of page as it works currently for wikitext editing (example: https://en.wikisource.org/w/index.php?title=Page:La_Fontaine_-_The_Original_Fables_Of,_1913.djvu/20&action=edit ).

An other useful (but less important thing) things is to add modules to the Visual Editor to support specific tags used by Wikisource like <pages>, <section> and <poem>.

note 1: structure of the page as save in the database:
<noinclude><pagequality level="LEVEL" user="LAST PROOFREADER" />HEADER<div class="pagetext">BODY<noinclude>FOOTER</noinclude>
Comment 1 billinghurst 2013-03-27 09:49:34 UTC
How would we go with looking to put the user into the API?  That information would be useful to present through the 'page information' so it is presentable via 'action=info'.  At the moment one has to pull the page data to get the user info, while the proofread status is already captured. Well that is my limited understanding of the data.
Comment 2 MZMcBride 2013-03-28 05:50:30 UTC
(In reply to comment #0)
> note 1: structure of the page as save in the database:
> <noinclude><pagequality level="LEVEL" user="LAST PROOFREADER" />HEADER<div
> class="pagetext">BODY<noinclude>FOOTER</noinclude>

This data should be in a queryable format. The current format sucks and should be abandoned. If there's not already a bug filed about this, please file one.

(In reply to comment #1)
> How would we go with looking to put the user into the API?  That information
> would be useful to present through the 'page information' so it is
> presentable via 'action=info'.  At the moment one has to pull the page data to
> get the user info, while the proofread status is already captured. Well that
> is my limited understanding of the data.

action=info is part of index.php, not api.php. That is, the info action is part of the (graphical) user interface, not part of the MediaWiki API. This bug should just be about a single issue. Adding this type of information to the info action can be a dependent bug of this bug. There may be such a page filed already, maybe.

Basically, once the data is queryable, both the info action and the MediaWiki API modules can pull the data out easily. But that's at least three separate bugs (and probably many more).
Comment 3 Tpt 2013-03-30 15:33:06 UTC
(In reply to comment #2)
> This data should be in a queryable format. The current format sucks and should
> be abandoned. If there's not already a bug filed about this, please file one.
Done (bug 46724). But before doing anything on this direction, a refactoring of the wikitext edition interface is needed because the current system is closely based on this storage format (bug 46578).

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links